'
' Subroutine to boostrap estimates
'
subroutine bootff
'
' Step 2: Draw a bootstrap sample from the residuals
'
smpl if (year=1996)and(month=9)
ress1.resample bress1
smpl if (year=1996)and(month=10)
ress2.resample bress2
smpl if (year=1996)and(month=11)
ress3.resample bress3
smpl if (year=1997)and(month=9)
ress4.resample bress4
smpl if (year=1997)and(month=10)
ress5.resample bress5
smpl if (year=1997)and(month=11)
ress6.resample bress6
smpl if (year=1998)and(month=9)
ress7.resample bress7
smpl if (year=1998)and(month=10)
ress8.resample bress8
smpl if (year=1998)and(month=11)
ress9.resample bress9
smpl if (year=1999)and(month=9)
ress10.resample bress10
smpl if (year=1999)and(month=10)
ress11.resample bress11
smpl if (year=1999)and(month=11)
ress12.resample bress12
'
' Step 3: Create pseudo-data
'
smpl if (year=1996)and(month=9)
genr blhs1=lhsfit1+bress1
smpl if (year=1996)and(month=10)
genr blhs2=lhsfit2+bress2
smpl if (year=1996)and(month=11)
genr blhs3=lhsfit3+bress3
smpl if (year=1997)and(month=9)
genr blhs4=lhsfit4+bress4
smpl if (year=1997)and(month=10)
genr blhs5=lhsfit5+bress5
smpl if (year=1997)and(month=11)
genr blhs6=lhsfit6+bress6
smpl if (year=1998)and(month=9)
genr blhs7=lhsfit7+bress7
smpl if (year=1998)and(month=10)
genr blhs8=lhsfit8+bress8
smpl if (year=1998)and(month=11)
genr blhs9=lhsfit9+bress9
smpl if (year=1999)and(month=9)
genr blhs10=lhsfit10+bress10
smpl if (year=1999)and(month=10)
genr blhs11=lhsfit11+bress11
smpl if (year=1999)and(month=11)
genr blhs12=lhsfit12+bress12
smpl @all
'
' Step 4: Estimate the model on the pseudo-data and keep the log-likelihoods
'
'
' September 1996
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1996)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs1=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,1)=junk
delete junk
' Second Half
smpl if ((year=1996)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs1=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,2)=junk
delete junk
' All
smpl if ((year=1996)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) blhs1=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,3)=junk
delete junk
'
' October 1996
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1996)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) blhs2=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,4)=junk
delete junk
' Second Half
smpl if ((year=1996)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs2=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,5)=junk
delete junk
' All
smpl if ((year=1996)and(month=10))
c=0
equation eall.ls(n) blhs2=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,6)=junk
delete junk
'
' November 1996
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1996)and(month=11)and(bday<19.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs3=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,7)=junk
delete junk
' Second Half
smpl if ((year=1996)and(month=11)and(bday<19.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs3=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,8)=junk
delete junk
' All
smpl if ((year=1996)and(month=11)and(bday<19.5))
c=0
equation eall.ls(n) blhs3=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,9)=junk
delete junk
'
' September 1997
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1997)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs4=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,10)=junk
delete junk
' Second Half
smpl if ((year=1997)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs4=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,11)=junk
delete junk
' All
smpl if ((year=1997)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) blhs4=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,12)=junk
delete junk
'
' October 1997
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1997)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) blhs5=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,13)=junk
delete junk
' Second Half
smpl if ((year=1997)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs5=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,14)=junk
delete junk
' All
smpl if ((year=1997)and(month=10))
c=0
equation eall.ls(n) blhs5=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,15)=junk
delete junk
'
' November 1997
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1997)and(month=11)and(bday<18.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs6=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,16)=junk
delete junk
' Second Half
smpl if ((year=1997)and(month=11)and(bday<18.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs6=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,17)=junk
delete junk
' All
smpl if ((year=1997)and(month=11)and(bday<18.5))
c=0
equation eall.ls(n) blhs6=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,18)=junk
delete junk
'
' September 1998
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1998)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs7=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,19)=junk
delete junk
' Second Half
smpl if ((year=1998)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs7=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,20)=junk
delete junk
' All
smpl if ((year=1998)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) blhs7=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,21)=junk
delete junk
'
' October 1998
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1998)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) blhs8=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,22)=junk
delete junk
' Second Half
smpl if ((year=1998)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs8=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,23)=junk
delete junk
' All
smpl if ((year=1998)and(month=10))
c=0
equation eall.ls(n) blhs8=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,24)=junk
delete junk
'
' November 1998
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1998)and(month=11)and(bday<19.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs9=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,25)=junk
delete junk
' Second Half
smpl if ((year=1998)and(month=11)and(bday<19.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs9=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,26)=junk
delete junk
' All
smpl if ((year=1998)and(month=11)and(bday<19.5))
c=0
equation eall.ls(n) blhs9=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,27)=junk
delete junk
'
' September 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1999)and(month=9)and(bday>1.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs10=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,28)=junk
delete junk
' Second Half
smpl if ((year=1999)and(month=9)and(bday>1.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs10=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,29)=junk
delete junk
' All
smpl if ((year=1999)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) blhs10=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,30)=junk
delete junk
'
' October 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1999)and(month=10))and(portn<10.5)
c=0
equation e1st.ls(n) blhs11=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,31)=junk
delete junk
' Second Half
smpl if ((year=1999)and(month=10))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs11=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,32)=junk
delete junk
' All
smpl if ((year=1999)and(month=10))
c=0
equation eall.ls(n) blhs11=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,33)=junk
delete junk
'
' November 1999
'
' Estimate the equations for subsets, then jointly for a LR test
' First Half
smpl if ((year=1999)and(month=11)and(bday<20.5))and(portn<10.5)
c=0
equation e1st.ls(n) blhs12=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+rhs)
scalar junk=e1st.@logl
results(!i+2,34)=junk
delete junk
' Second Half
smpl if ((year=1999)and(month=11)and(bday<20.5))and(portn>10.5)
c=0
equation e2nd.ls(n) blhs12=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=e2nd.@logl
results(!i+2,35)=junk
delete junk
' All
smpl if ((year=1999)and(month=11)and(bday<20.5))
c=0
equation eall.ls(n) blhs12=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
scalar junk=eall.@logl
results(!i+2,36)=junk
delete junk
'
' Delete bootstrap sample
'
delete bress1 blhs1
delete bress2 blhs2
delete bress3 blhs3
delete bress4 blhs4
delete bress5 blhs5
delete bress6 blhs6
delete bress7 blhs7
delete bress8 blhs8
delete bress9 blhs9
delete bress10 blhs10
delete bress11 blhs11
delete bress12 blhs12

endsub
'
' The "real" program
'
' This EViews program bootstraps the asset integration tests of pcrff1 for the
' American stock market.
'
' Twenty arbitrary portfolios of stocks are used from the NYSE.
'
' The tests are conducted for 3 months of 4 separate years
'
' Each portfolio has one intercept and three Fama-French factors
'
' Load the data set
'
load \res\stockreg\crisis\datacr2
smpl @all
sort year month day portn
'
' Create the time dummies
'
genr t1=(bday=1)
genr t2=(bday=2)
genr t3=(bday=3)
genr t4=(bday=4)
genr t5=(bday=5)
genr t6=(bday=6)
genr t7=(bday=7)
genr t8=(bday=8)
genr t9=(bday=9)
genr t10=(bday=10)
genr t11=(bday=11)
genr t12=(bday=12)
genr t13=(bday=13)
genr t14=(bday=14)
genr t15=(bday=15)
genr t16=(bday=16)
genr t17=(bday=17)
genr t18=(bday=18)
genr t19=(bday=19)
genr t20=(bday=20)
genr t21=(bday=21)
genr t22=(bday=22)
genr t23=(bday=23)
genr t24=(bday=24)
'
' Create the portfolio interactive dummies: mktmrf
'
genr f01=(portn=1)*mktmrf
genr f02=(portn=2)*mktmrf
genr f03=(portn=3)*mktmrf
genr f04=(portn=4)*mktmrf
genr f05=(portn=5)*mktmrf
genr f06=(portn=6)*mktmrf
genr f07=(portn=7)*mktmrf
genr f08=(portn=8)*mktmrf
genr f09=(portn=9)*mktmrf
genr f10=(portn=10)*mktmrf
genr f11=(portn=11)*mktmrf
genr f12=(portn=12)*mktmrf
genr f13=(portn=13)*mktmrf
genr f14=(portn=14)*mktmrf
genr f15=(portn=15)*mktmrf
genr f16=(portn=16)*mktmrf
genr f17=(portn=17)*mktmrf
genr f18=(portn=18)*mktmrf
genr f19=(portn=19)*mktmrf
genr f20=(portn=20)*mktmrf
'
' Create the portfolio interactive dummies: smb
'
genr g01=(portn=1)*smb
genr g02=(portn=2)*smb
genr g03=(portn=3)*smb
genr g04=(portn=4)*smb
genr g05=(portn=5)*smb
genr g06=(portn=6)*smb
genr g07=(portn=7)*smb
genr g08=(portn=8)*smb
genr g09=(portn=9)*smb
genr g10=(portn=10)*smb
genr g11=(portn=11)*smb
genr g12=(portn=12)*smb
genr g13=(portn=13)*smb
genr g14=(portn=14)*smb
genr g15=(portn=15)*smb
genr g16=(portn=16)*smb
genr g17=(portn=17)*smb
genr g18=(portn=18)*smb
genr g19=(portn=19)*smb
genr g20=(portn=20)*smb
'
' Create the portfolio interactive dummies: hml
'
genr h01=(portn=1)*hml
genr h02=(portn=2)*hml
genr h03=(portn=3)*hml
genr h04=(portn=4)*hml
genr h05=(portn=5)*hml
genr h06=(portn=6)*hml
genr h07=(portn=7)*hml
genr h08=(portn=8)*hml
genr h09=(portn=9)*hml
genr h10=(portn=10)*hml
genr h11=(portn=11)*hml
genr h12=(portn=12)*hml
genr h13=(portn=13)*hml
genr h14=(portn=14)*hml
genr h15=(portn=15)*hml
genr h16=(portn=16)*hml
genr h17=(portn=17)*hml
genr h18=(portn=18)*hml
genr h19=(portn=19)*hml
genr h20=(portn=20)*hml
'
' Create the portfolio interactive dummies: intercepts
'
genr i01=(portn=1)
genr i02=(portn=2)
genr i03=(portn=3)
genr i04=(portn=4)
genr i05=(portn=5)
genr i06=(portn=6)
genr i07=(portn=7)
genr i08=(portn=8)
genr i09=(portn=9)
genr i10=(portn=10)
genr i11=(portn=11)
genr i12=(portn=12)
genr i13=(portn=13)
genr i14=(portn=14)
genr i15=(portn=15)
genr i16=(portn=16)
genr i17=(portn=17)
genr i18=(portn=18)
genr i19=(portn=19)
genr i20=(portn=20)
'
' Create the 2- and 1-day returns
'
sort portn year period
smpl if (portn(+1)=portn(-1))
genr lhs=port(+1)/port(-1)
genr rhs=port/port(-1)
smpl @all
'
' Set up a table for results
'
table(203,36) results
setcell(results,1,1, "Log Likelihoods from pcrff2")
results(2,1) = "9/96: 1st"
results(2,2) = "9/96: 2nd"
results(2,3) = "9/96: bth"
results(2,4) = "10/96: 1st"
results(2,5) = "10/96: 2nd"
results(2,6) = "10/96: bth"
results(2,7) = "11/96: 1st"
results(2,8) = "11/96: 2nd"
results(2,9) = "11/96: bth"
results(2,10) = "9/97: 1st"
results(2,11) = "9/97: 2nd"
results(2,12) = "9/97: bth"
results(2,13) = "10/97: 1st"
results(2,14) = "10/97: 2nd"
results(2,15) = "10/97: bth"
results(2,16) = "11/97: 1st"
results(2,17) = "11/97: 2nd"
results(2,18) = "11/97: bth"
results(2,19) = "9/98: 1st"
results(2,20) = "9/98: 2nd"
results(2,21) = "9/98: bth"
results(2,22) = "10/98: 1st"
results(2,23) = "10/98: 2nd"
results(2,24) = "10/98: bth"
results(2,25) = "11/98: 1st"
results(2,26) = "11/98: 2nd"
results(2,27) = "11/98: bth"
results(2,28) = "9/99: 1st"
results(2,29) = "9/99: 2nd"
results(2,30) = "9/99: bth"
results(2,31) = "10/99: 1st"
results(2,32) = "10/99: 2nd"
results(2,33) = "10/99: bth"
results(2,34) = "11/99: 1st"
results(2,35) = "11/99: 2nd"
results(2,36) = "11/99: bth"
'
' Step 1: Run the regressions to generate fits and residuals
'
' September 1996
'
smpl if ((year=1996)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress1
' Generate the fitted values
eall.fit lhsfit1
'
' October 1996
'
smpl if ((year=1996)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress2
' Generate the fitted values
eall.fit lhsfit2
'
' November 1996
'
smpl if ((year=1996)and(month=11)and(bday<19.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress3
' Generate the fitted values
eall.fit lhsfit3
'
' September 1997
'
smpl if ((year=1997)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress4
' Generate the fitted values
eall.fit lhsfit4
'
' October 1997
'
smpl if ((year=1997)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22)+(c(23)*t23))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress5
' Generate the fitted values
eall.fit lhsfit5
'
' November 1997
'
smpl if ((year=1997)and(month=11)and(bday<18.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress6
' Generate the fitted values
eall.fit lhsfit6
'
' September 1998
'
smpl if ((year=1998)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress7
' Generate the fitted values
eall.fit lhsfit7
'
' October 1998
'
smpl if ((year=1998)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21)+(c(22)*t22))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress8
' Generate the fitted values
eall.fit lhsfit8
'
' November 1998
'
smpl if ((year=1998)and(month=11)and(bday<19.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress9
' Generate the fitted values
eall.fit lhsfit9
'
' September 1999
'
smpl if ((year=1999)and(month=9)and(bday>1.5))
c=0
equation eall.ls(n) lhs=((c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress10
' Generate the fitted values
eall.fit lhsfit10
'
' October 1999
'
smpl if ((year=1999)and(month=10))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20)+(c(21)*t21))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress11
' Generate the fitted values
eall.fit lhsfit11
'
' November 1999
'
smpl if ((year=1999)and(month=11)and(bday<20.5))
c=0
equation eall.ls(n) lhs=((c(1)*t1)+(c(2)*t2)+(c(3)*t3)+(c(4)*t4)+(c(5)*t5)+(c(6)*t6)+(c(7)*t7)+(c(8)*t8)+(c(9)*t9)+(c(10)*t10)+(c(11)*t11)+(c(12)*t12)+(c(13)*t13)+(c(14)*t14)+(c(15)*t15)+(c(16)*t16)+(c(17)*t17)+(c(18)*t18)+(c(19)*t19)+(c(20)*t20))*((c(101)*f01)+(c(102)*f02)+(c(103)*f03)+(c(104)*f04)+(c(105)*f05)+(c(106)*f06)+(c(107)*f07)+(c(108)*f08)+(c(109)*f09)+(c(110)*f10)+(c(111)*f11)+(c(112)*f12)+(c(113)*f13)+(c(114)*f14)+(c(115)*f15)+(c(116)*f16)+(c(117)*f17)+(c(118)*f18)+(c(119)*f19)+(c(120)*f20)+(c(201)*g01)+(c(202)*g02)+(c(203)*g03)+(c(204)*g04)+(c(205)*g05)+(c(206)*g06)+(c(207)*g07)+(c(208)*g08)+(c(209)*g09)+(c(210)*g10)+(c(211)*g11)+(c(212)*g12)+(c(213)*g13)+(c(214)*g14)+(c(215)*g15)+(c(216)*g16)+(c(217)*g17)+(c(218)*g18)+(c(219)*g19)+(c(220)*g20)+(c(301)*h01)+(c(302)*h02)+(c(303)*h03)+(c(304)*h04)+(c(305)*h05)+(c(306)*h06)+(c(307)*h07)+(c(308)*h08)+(c(309)*h09)+(c(310)*h10)+(c(311)*h11)+(c(312)*h12)+(c(313)*h13)+(c(314)*h14)+(c(315)*h15)+(c(316)*h16)+(c(317)*h17)+(c(318)*h18)+(c(319)*h19)+(c(320)*h20)+(c(401)*i01)+(c(402)*i02)+(c(403)*i03)+(c(404)*i04)+(c(405)*i05)+(c(406)*i06)+(c(407)*i07)+(c(408)*i08)+(c(409)*i09)+(c(410)*i10)+(c(411)*i11)+(c(412)*i12)+(c(413)*i13)+(c(414)*i14)+(c(415)*i15)+(c(416)*i16)+(c(417)*i17)+(c(418)*i18)+(c(419)*i19)+(c(420)*i20)+rhs)
' Generate the residuals
eall.makeresid ress12
' Generate the fitted values
eall.fit lhsfit12
'
' Call the subroutine
'
for !i=1 to 200
 call bootff
 next

show results
